import graphene
from graphene import InputObjectType


class AssignmentInput(InputObjectType):
    id = graphene.ID(required=True)
    answer = graphene.String(required=True)
    document = graphene.String()
    final = graphene.Boolean()


class SubmissionFeedbackInput(InputObjectType):
    id = graphene.ID()
    student_submission = graphene.ID(required=True)
    text = graphene.String(required=True)
    final = graphene.Boolean()
